---
title: office之excel基础讲解
tags: office
categories: default
date: 2022-04-16 19:33:20
---

# Office
常用的office有以下两种
+ ### Wps Office
    - 包括了Word和excel和ppt
+ ### Micosoft Office
   - Word    文档编辑软件
   - Excel   表格数据处理软件
   - PPt     幻灯片制作软件
> 因为一般的windows笔记本电脑都预装了Micosoft Office,所以我们一般都使用Micosoft Office,下面我们讲的Office都是Micosoft Office。

> 当然，计算机二级即有Micosoft Office，也有Wps Office，所以大家要根据自己的使用情况进行报名。

> 计算机二级考试从2021年3月份开始，考试将才用Office 2016版本进行考试，学校机房预装版本为office2010,一般笔记本预装版本为office 2010,虽然各个版本相差不大，但是大家如果以防万一还是最好选择自行安装Office 2016版本

> office安装包下载网站推荐： https://msdn.itellyou.cn/


# Excel基础

##  1.1. excel文件创建
![](https://s2.loli.net/2022/04/16/kAv3RSXbNUayKMY.png)

## 1.2. excel的构成
+ 一个excel文件为一个工作簿，excel文件的后缀为```.docx```,老版本office生成的后缀名为```.doc```
+ 一个工作簿包括了多个工作表

![](https://s2.loli.net/2022/04/16/DxzYMwl5u3WZokh.png)

+ 一个工作表包括了无数个的单元格

## 1.3 excel的行高和列宽
> 可直接通过拖动进行设置，也可以右键行头或列头进行设置
![](https://s2.loli.net/2022/04/16/v1YMyHNx94CVnsS.png)
![](https://s2.loli.net/2022/04/16/gtNUp1ZqAuM9k8P.png)

![](https://s2.loli.net/2022/04/16/GRcDfdk89PEs4w5.png)
> 友情提醒：行高和列宽都可以通过格式刷进行改变，所以我们只需要设置一行合适的行高，然后用格式刷就可以了

> 当出现 ```######```的时候一般是因为列宽太窄了，就会导致出现上述情况，只需要将列宽增大就可以

## 1.4 excel的表头制作
> excel表头一般通过合并单元格生成
![](https://s2.loli.net/2022/04/16/tlIXN1WdY9w7nMh.png)

## 1.5 excel的数据类型
![](https://s2.loli.net/2022/04/16/k9vJ1ZDCipwa45c.png)
> 当输入大数字时，默认会变成科学计数法的形式显示，我们只需要在前面加上```'```就可以显示原本的样式

## 1.6 excel边框
+ 内边框
+ 外边框

![](https://s2.loli.net/2022/04/16/y4i5R3olJC2zF7H.png)

## 1.7 excel条件格式
> 可以根据特定的条件而设置单元格的格式
![](https://s2.loli.net/2022/04/16/kV9G25iMbaQSzCY.png)

![](https://s2.loli.net/2022/04/16/NR6aldZUcBzViOs.png)

## 1.8 excel序列填充
![](https://s2.loli.net/2022/04/16/Qvyc9mb67TldPMA.png)

## 1.9 excel排序筛选
![](https://s2.loli.net/2022/04/16/4k6Cg3Bdt1LEymj.png)

## 1.10 excel图表生成
![](https://s2.loli.net/2022/04/16/5P42MzAfpxjdDEO.png)

# Excel进阶知识

## 2.1 Excel的公式
> excel的公式可以说是excel的灵魂，用的好可以减少很多没必要的工作量，同时在计算机二级中明确要求了公式的使用。
![](https://s2.loli.net/2022/04/16/OAoNViE2CzkZScf.png)

> 公式的原理类似高中数学所学的函数 ```y = f(x) ```，我们需要将对于的单元格引用传给公式，公式会自动根据规则计算结果并输出到当前单元格。

> 单元格的引用，单元格通过两个坐标进行引用，例如```A1 A2 B3```,此种引用为相对引用，当我们将公式所在单元格进行序列填充时，所引用的单元格会进行对应方向改变。例如B1单元格的公式为```=A1+C1```,如果我们将单元格序列填充到B2时，公式会自动变成```A2+C2```,如果我们希望填充后，对应引用不改变，那么我们可以在引用前加上```$```,例如```=$A$1+$B$1```

> 单元格可以跨表引用，即在引用前加上表名，例如：```Sheet1!B2```,代表引用Sheet1表格的B2单元格

## 2.1.1 公式的四则运算

+ 加  ```+```
+ 减  ```-```
+ 乘  ```*```
+ 除  ```/```

例如：

![](https://s2.loli.net/2022/04/16/eSQ9NfGztOVJnH7.png)

> 当然，如果很多值进行四则运算时，也有对应的公式，例如+可以使用```sum()```公式，-可以用```imsub()```公式,*可以用```product()```代替，/可以用```quotient()```代替

![](https://s2.loli.net/2022/04/16/l8E9cdvfYnxpq5C.png)

+ ```if```公式

![](https://s2.loli.net/2022/04/16/Zlfqcaju5JOrGeX.png)

> 通俗的理解为，需要三个参数，第一个参数为一个表达式，例如大于，小于，等于，第二个为如果表达式成立的返回，第三个为表达式不成立的返回值。

![](https://s2.loli.net/2022/04/16/ORKLwJSXDNGivCI.png)

+ ```vlookup```公式

> 用于条件查询

![](https://s2.loli.net/2022/04/16/au3WRYETkhivVBI.png)

![](https://s2.loli.net/2022/04/16/c7QfHXzrweGLuvj.png)

![](https://s2.loli.net/2022/04/16/krVv6pXoFEHCj9P.png)

```
vlookup(要查找的值，查找的范围，需要的值在范围中的第几列，模糊查询还是准确查询)

上面的方法含义为：在B3到C7中模糊查找姓名为王五的的第二列的值
```

# 关于
> excel的更多使用技巧就希望同学们能够自行摸索了，毕竟实践课程只有自己摸索才是最有用的，在实践中遇到不懂得可以合理运用搜索引擎

## 个人博客 https://shhy.xyz