---
title: pg指令记录
tags: postgres
categories: 笔记
date: 2023-05-23 15:55:31
---

# 1. pg查询慢查询进程

```sql
-- 查询进程
SELECT C.procpid, C.START, C.lap, C.current_query
FROM
  (SELECT pg_stat_get_backend_pid (S.backendid) AS procpid,
          pg_stat_get_backend_activity_start (S.backendid) AS START,
          now() - pg_stat_get_backend_activity_start (S.backendid) AS lap,
          pg_stat_get_backend_activity (S.backendid) AS current_query
   FROM
     (SELECT pg_stat_get_backend_idset () AS backendid) AS S) AS C
WHERE current_query <> '<IDLE>'
  AND lap > '00:00:10'
ORDER BY start DESC;
```

# 2. pg杀死进程

```sql
-- 杀进程
SELECT pg_terminate_backend(25278);
```

# 3. 重新跑脚本

```sql

```
