---
title: 毕业设计(1)
tags: 
    - java
    - ssm
    - react
    - ant design
    - typescript


categories: 毕业设计
date: 2022-12-07 12:30:32
summary: 需求分析，模型设计

---

## 一、 毕业设计题目

> 分层教学系统

> 项目采用ssm架构，即Spring 、Spring Mvc 、Mybatis框架进行整合，前端采用多端分别设计，Pc端采用React加上Antd-design进行编写，采用前后端分离架构。

## 二、需求分析

> ### 情景分析
> 
> 分层教学作业系统，需求是在现在互联网发达的情况下，在中学阶段，一个教学班级的学生们情况各不相同，有些同学学习能力较强，有些同学学习能力较弱，所以我们需要将学生们分成各种不同的教学班级，进行布置不同的教学任务。
> 
> ### 用户问题分析
> 
> l  学生和家长可以注册用户
> 
> l  学生注册用户后进行可以填写邀请码加入行政班级
> 
> l  家长可以绑定学生信息，多个家长可以绑定一个学生
> 
> l  系统启动时设定一个管理员账号，管理员一般有学院教务处掌握
> 
> l  管理员账号可以创建行政班级，并且指定老师作为行政班级的管理老师
> 
> ### 具体需求分析
> 
> 1.      管理员账户功能
> 
> 1.1. 登录
> 
> 1.2. 对老师进行增删改查
> 
> 1.3. 对学生进行增删改查
> 
> 1.4. 查看每一次作业
> 
> 1.5. 修改每一次作业
> 
> 1.6. 创建行政班级，并且绑定老师
> 
> 2.      老师的功能
> 
> 2.1. 邀请学生加入班级
> 
> 2.2. 查看班级学生
> 
> 2.3. 行政班级老师可以创建教学班级并指定老师
> 
> 2.4. 可以布置作业
> 
> 2.5. 可以查看作业收集情况
> 
> 2.6. 可以对每一份作业进行批注并打分
> 
> 3.      学生的功能
> 
> 3.1. 注册账户并绑定学号
> 
> 3.2. 查看作业
> 
> 3.3. 提交作业

## 三、 数据库模型设计

![](https://s2.loli.net/2022/12/07/1gXke9clzvVdZ87.png)
